classification
Title: Not so correct documentation about asyncio.subprocess_shell method
Type: Stage:
Components: asyncio, Documentation Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, gvanrossum, python-dev, vajrasky, vstinner, yselivanov
Priority: normal Keywords: patch

Created on 2014-06-14 16:17 by vajrasky, last changed 2014-06-19 15:40 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
fix_doc_asyncio_subprocess_shell.patch vajrasky, 2014-06-14 16:17 review
Messages (4)
msg220567 - (view) Author: Vajrasky Kok (vajrasky) * Date: 2014-06-14 16:17
subprocess_shell in asyncio accepts cmd as a string or a bytes but the test unit, the documentation and the exception indicates that it only accepts a string.
msg220620 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-06-15 09:12
IMO it's fine to support bytes on UNIX, os.fsencode() is well defined. On
Windows, we may use the same decoder.
msg220962 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-06-19 10:51
New changeset 24c356168cc8 by Victor Stinner in branch '3.4':
Closes #21758: asyncio doc: mention explicitly that subprocess parameters are
http://hg.python.org/cpython/rev/24c356168cc8

New changeset b57cdb945bf9 by Victor Stinner in branch 'default':
(Merge 3.4) Closes #21758: asyncio doc: mention explicitly that subprocess
http://hg.python.org/cpython/rev/b57cdb945bf9
msg220963 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-06-19 10:52
A "string" can be a bytes string or a character string. I modified the documentation to be more explicitly, but IMO it's fine to keep "string" term in unit tests and error messages. You should not get the "string" error message if you pass a bytes or str object.
History
Date User Action Args
2014-06-19 15:40:51vstinnersetstatus: open -> closed
resolution: fixed
2014-06-19 10:52:45vstinnersetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg220963

stage: resolved ->
2014-06-19 10:51:28python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg220962

resolution: fixed
stage: resolved
2014-06-15 09:12:53vstinnersetmessages: + msg220620
2014-06-14 16:17:58vajraskycreate